$script_bionic = <<-SCRIPT
if [ ! -f /opt/puppetlabs/bin/puppet ]; then
  sudo wget --quiet https://apt.puppetlabs.com/puppet6-release-bionic.deb
  sudo dpkg -i puppet6-release-bionic.deb
  sudo apt-get update
  sudo apt-get install puppet-agent
fi
SCRIPT

Vagrant.configure("2") do |config|
  config.vm.define "nextcloud" do |nc|
    nc.vm.provider "virtualbox" do |vb|
      vb.memory = "2048"
      vb.cpus = "2"
    end
    nc.vm.box = "ubuntu/bionic64"
    nc.vm.network "forwarded_port", guest: 80, host: 8080
    nc.vm.hostname = "nextcloud.example.org"
    nc.vm.provision "shell", inline: $script_bionic
    nc.vm.provision "puppet" do |nc1|
      nc1.module_path = "modules"
      nc1.manifest_file = "default.pp"
      # nc1.options = "--verbose --debug"
    end
  end
end

